I have Mac OS X 10.5.8. Do I upgrade to MAC OS X 10.6 in order to use Facetime?

  • Asked by Darlene M from Weymouth
  • 26/10/2010
Mac OS X 10.6 Snow Leopard

Mac OS X 10.6 Snow Leopard

Product No Longer Available

6 Answers from the Community

  • Best Answer:

    Yes, that's what I'm going to do. In order to use Facetime, you must have Snow Leopard. I'm going to buy the $29 Mac OS X 10.6 Snow Leopard.

    • Answered by Brinet R from Brooklyn
    • 29/12/2010
  • Actually RK the poster is talking about using Facetime on a mac. To do this you must have Snow Leopard. You do not need snow leopard to use facetime on an iPhone but you do need it on your mac to use facetime on your mac.

    • Answered by Kyle D from Fish Creek
    • 06/01/2011
  • yes

    • Answered by Enrik V
    • 16/03/2012
  • yes

    • Answered by Arnold L
    • 30/09/2011
  • yes

    • Answered by Daniel D from Philadelphia
    • 14/03/2012
  • Actually you do not need Snow Leopard to get face time. I'm on 10.5.8 and have an iPhone 4 and can easily use face time. Having said that, for the $29 it's time to upgrade.

    • Answered by Raymond K from Cochrane
    • 29/12/2010